Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts
Interface JRPieDataset

All Superinterfaces:
  java.lang.Cloneable, JRChartDataset, JRCloneable, JRElementDataset

All Known Implementing Classes:
  JRBasePieDataset, JRDesignPieDataset, JRFillPieDataset

    public interface JRPieDataset

extends JRChartDataset

Version:
  $Id: JRPieDataset.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset
`CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

Method Summary
`JRExpression` | `getKeyExpression()` Deprecated. Replaced by `getSeries()`.
`JRExpression` | `getLabelExpression()` Deprecated. Replaced by `getSeries()`.
`java.lang.Integer` | `getMaxCount()`
`java.lang.Float` | `getMinPercentage()`
`JRExpression` | `getOtherKeyExpression()`
`JRExpression` | `getOtherLabelExpression()`
`JRHyperlink` | `getOtherSectionHyperlink()` Returns the hyperlink specification for the special Other chart section, if present.
`JRHyperlink` | `getSectionHyperlink()` Deprecated. Replaced by `getSeries()`.
`JRPieSeries[]` | `getSeries()`
`JRExpression` | `getValueExpression()` Deprecated. Replaced by `getSeries()`.
`void` | `setMaxCount(java.lang.Integer maxCount)`
`void` | `setMinPercentage(java.lang.Float minPercentage)`

Methods inherited from interface net.sf.jasperreports.engine.JRChartDataset
`getDatasetType, validate`

Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset
`collectExpressions, getDatasetRun, getIncrementGroup, getIncrementType, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetType, getResetTypeValue`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getMinPercentage

    java.lang.Float getMinPercentage()

### setMinPercentage

    void setMinPercentage(java.lang.Float minPercentage)

### getMaxCount

    java.lang.Integer getMaxCount()

### setMaxCount

    void setMaxCount(java.lang.Integer maxCount)

### getSeries

    JRPieSeries[] getSeries()

### getKeyExpression

    JRExpression getKeyExpression()

  Deprecated. Replaced by `getSeries()`.

### getValueExpression

    JRExpression getValueExpression()

  Deprecated. Replaced by `getSeries()`.

### getLabelExpression

    JRExpression getLabelExpression()

  Deprecated. Replaced by `getSeries()`.

### getSectionHyperlink

    JRHyperlink getSectionHyperlink()

  Deprecated. Replaced by `getSeries()`.

### getOtherKeyExpression

    JRExpression getOtherKeyExpression()

### getOtherLabelExpression

    JRExpression getOtherLabelExpression()

### getOtherSectionHyperlink

    JRHyperlink getOtherSectionHyperlink()

  Returns the hyperlink specification for the special Other chart section, if present.

  Returns:
    hyperlink specification for the Other chart section

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com